Subject: Re: bug#17544: 24.3; [PATCH] Improved diff-mode navigation/manipulation

From: Eli Zaretskii <[email-masked]>
Date: Sat, 03 Sep 2016 13:14:24 +0300

> From: Dima Kogan <[email-masked]>
> Date: Sat, 03 Sep 2016 02:17:19 -0700
> Cc: [email-masked]
> 
> Lars Ingebrigtsen <[email-masked]> writes:
> 
> > I think this makes sense, and the patch looks good to me. Does it
> > still apply to the Emacs trunk? Anybody got any objections to
> > installing it?
> >
> > It should also have an entry in NEWS, I think.
> 
> This is a gentle ping. Can we install this?

I'd like to hear Stefan's comments.

Regardless, the doc string of diff--wrap-hunk-navigation is not
according to our coding style, so please fix it.  Also, I don't quite
understand why you need changes like this one:

  -	(diff-hunk-next))))))
  +	(call-interactively 'diff-hunk-next))))))

and the whole issue of testing called-interactively-p that goes with
it.  Can you explain?

Thanks.